import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_mongodb_running_and_enabled(host):
    mongodb = host.service("mongod")
    assert mongodb.is_running
    assert mongodb.is_enabled


def test_mongodb_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:27017").is_listening
